import request from '@/utils/request'

// 查询sop模板列表
export function listSopTemp(query) {
  return request({
    url: '/qw/sopTemp/list',
    method: 'get',
    params: query
  })
}

// 查询sop模板详细
export function getSopTemp(id) {
  return request({
    url: '/qw/sopTemp/' + id,
    method: 'get'
  })
}

// 新增sop模板
export function addSopTemp(data) {
  return request({
    url: '/qw/sopTemp',
    method: 'post',
    data: data
  })
}

// 修改sop模板
export function updateSopTemp(data) {
  return request({
    url: '/qw/sopTemp',
    method: 'put',
    data: data
  })
}

// 删除sop模板
export function delSopTemp(id) {
  return request({
    url: '/qw/sopTemp/' + id,
    method: 'delete'
  })
}


export function shareSopTemp(data) {
  return request({
    url: '/qw/sopTemp/shareTemp',
    method: 'post',
    data: data
  })
}

// 导出sop模板
export function exportSopTemp(query) {
  return request({
    url: '/qw/sopTemp/export',
    method: 'get',
    params: query
  })
}
